Package htsjdk.beta.codecs.variants.vcf

# Class VariantsCodecUtils

java.lang.Object
htsjdk.beta.codecs.variants.vcf.VariantsCodecUtils

@InternalAPI public class VariantsCodecUtils extends Object
Utilities for VCF codec implementations.

## Constructor Summary

Constructors
Constructor
Description
`VariantsCodecUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`assertBundleContainsIndex(Bundle inputBundle)`
InternalAPI The stated contract for decoders is that the index must be included in the bundle in order to use index queries, but some codecs use readers that *always* tries to resolve the index, which would violate that and allow some cases to work that shouldn't, so enforce the contract manually so that someday when we use a different implementation, no backward compatibility issue will be introduced.
`static boolean`
`bundleContainsIndex(Bundle inputBundle)`
InternalAPI Return true if the input `Bundle` contains a variants index resource

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariantsCodecUtils

public VariantsCodecUtils()

## Method Details

### bundleContainsIndex

@InternalAPI public static boolean bundleContainsIndex(Bundle inputBundle)
InternalAPI Return true if the input `Bundle` contains a variants index resource

Parameters:
  `inputBundle` - input `Bundle` to inspect
Returns:
  true if input `Bundle` contains a variants index resource

### assertBundleContainsIndex

@InternalAPI public static void assertBundleContainsIndex(Bundle inputBundle)
InternalAPI The stated contract for decoders is that the index must be included in the bundle in order to use index queries, but some codecs use readers that *always* tries to resolve the index, which would violate that and allow some cases to work that shouldn't, so enforce the contract manually so that someday when we use a different implementation, no backward compatibility issue will be introduced.

Parameters:
  `inputBundle` - input `Bundle` to inspect